Loyalty.lt
Qr card scan

Poll QR Card Session Status

Poll the status of a QR card scan session (fallback if the socket is unavailable)

GET/{locale}/shop/qr-card/status/{sessionId}

Poll the status of a QR card scan session (fallback if the socket is unavailable)

Authorization

apiKey apiSecret
X-API-Key<token>

Partner API key from the Partners Portal. Always sent together with X-API-Secret.

In: header

X-API-Secret<token>

Partner API secret. Always sent together with X-API-Key.

In: header

Path Parameters

locale*string
sessionId*string

Response Body

application/json

curl -X GET "https://example.com/lt/shop/qr-card/status/string"
{  "success": true,  "data": {    "session_id": "string",    "status": "pending",    "card_data": {},    "expires_at": "2019-08-24T14:15:22Z"  }}